RanklyBee logoRanklyBee
Inbox

Reply to an outreach thread

Requires the outreach:send scope.

POST
/workspaces/{workspaceId}/sites/{siteId}/threads/{threadId}/replies

Requires the outreach:send scope.

Authorization

bearerAuth
AuthorizationBearer <token>

Use a token created in Settings → API access.

In: header

Path Parameters

workspaceId*string

Workspace ID returned by GET /workspaces.

siteId*string

Site ID returned by GET /workspaces/{workspaceId}/sites.

threadId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*string
Length10 <= length <= 10000
ccEmails?array<>
Itemsitems <= 10
idempotencyKey*string
Length8 <= length <= 160

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/workspaces/string/sites/string/threads/string/replies" \  -H "Content-Type: application/json" \  -d '{    "body": "stringstri",    "idempotencyKey": "stringst"  }'
{  "ok": true,  "data": {    "threadId": "string",    "status": "string"  }}